#!/usr/bin/env python
# -*- coding: utf-8 -*-

import es

info = es.AddonInfo()
info.name = 'AWP Traces'
info.version = '2.0.2'
info.url = 'http://addons.eventscripts.com/addons/user/43738'
info.basename = 'awp_traces'
info.author = 'maniek23'
info.description   = "Addon tat makes AWP to leave traces afterr shoot"

addon_tag = "#default[#greenAWP Traces#default]"

model_path = "effects/gunshiptracer.vmt"
vector_1 = ""

def load():
	es.ServerVar('awp_traces_enabled', 1)
	es.ServerVar('awp_traces_time', 2)
	es.ServerVar('awp_traces_fadetime', 1)
	es.ServerVar('awp_traces_alpha', 255)
	es.ServerVar('awp_traces_speed', 1)
	es.ServerVar('awp_traces_width', 4)
	es.ServerVar('awp_traces_endwidth', 4)
	es.ServerVar('awp_traces_noise', 5)
	es.ServerVar('awp_traces_path', model_path)
	
	es.ServerVar("awp_traces", "AWP Traces by %s - v. %s" % (info.author, info.version)).makepublic()
	es.ServerVar("awp_traces_version", "%s" % info.version).makepublic()
	
	es.forcevalue('eventscripts_noisy', 1)
	
	es.msg('#multi', '%s Loaded' % addon_tag)
	
def unload():
	es.msg('#multi', '%s Unloaded' % addon_tag)
	
def weapon_fire(ev):
	if int(es.ServerVar('awp_traces_enabled')) < 1 or ev['weapon'] != 'awp' or (es.exists('variable', 'mb_tracer_enabled') and es.getInt('mb_tracer_enabled') == 1):
		return
	global vector_1
	(player_x, player_y, player_z) = es.getplayerlocation(ev['userid'])
	player_z += 60
	vector_1 = es.createvectorstring(player_x, player_y, player_z)
	
def bullet_impact(ev):
	global vector_1
	if int(es.ServerVar('awp_traces_enabled')) < 1 or vector_1 == "":
		return
	vector_2 = es.createvectorstring(float(ev['x']), float(ev['y']), float(ev['z']))
	model = es.precachemodel(es.getString('awp_traces_path'))
	es.effect('beam', vector_1, vector_2, model, model, 0, 0, es.getInt('awp_traces_time'), es.getInt('awp_traces_width'), es.getInt('awp_traces_endwidth'), es.getInt('awp_traces_fadetime'), es.getInt('awp_traces_noise'), 125, 125, 125, es.getInt('awp_traces_alpha'), es.getInt('awp_traces_speed'))
	vector_1 = ""
